Name:          vrms-rpm
Summary:       Report non-free software
License:       GPLv3

Version:       2.3
Release:       1%{?dist}

BuildRequires: gcc
BuildRequires: gettext-devel
BuildRequires: libcmocka-devel
BuildRequires: make
BuildRequires: rpm-devel

%global git_tag release-%{version}
URL:           https://github.com/suve/%{name}
Source0:       %{url}/archive/%{git_tag}/%{name}-%{git_tag}.tar.gz

%description
vrms-rpm ("virtual Richard M. Stallman") reports non-free packages
installed on the system.

%prep
%autosetup -n %{name}-%{git_tag}

%build
%set_build_flags
make all PREFIX=%{_prefix} %{?_smp_mflags} \
	DEFAULT_GRAMMAR=loose \
	DEFAULT_LICENCE_LIST=tweaked

%check
make test %{?_smp_mflags}

%install
%make_install PREFIX=%{_prefix}
%find_lang %{name} --with-man

%files -f %{name}.lang
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
%{_datadir}/suve/
%{_datadir}/bash-completion/completions/%{name}
%license LICENCE.txt IMAGE-CREDITS.txt

%changelog
* Sun Aug 20 2023 Artur Frenszek-Iwicki <fedora@svgames.pl> - 2.3-1
- Update to latest release

* Sat Aug 08 2020 Artur Iwicki <fedora@svgames.pl> - 2.2-1
- Initial build for EPEL8
